sayren Docs
내 정보

주문 전체 행동 실행

같은 행동을 그 행동이 켜진 주문상품마다 실행하고 결과를 주문상품별로 준다(예: 주문 전체 취소). 한 주문상품의 실패가 다른 주문상품을 되돌리지 않는다. 그 행동이 없는 주문상품은 SKIPPED다. 켜진 주문상품이 하나도 없으면 409 `ACTION_NOT_AVAILABLE`이다.

POST
/storefront/v1/me/orders/{orderId}/actions/{key}

같은 행동을 그 행동이 켜진 주문상품마다 실행하고 결과를 주문상품별로 준다(예: 주문 전체 취소). 한 주문상품의 실패가 다른 주문상품을 되돌리지 않는다. 그 행동이 없는 주문상품은 SKIPPED다. 켜진 주문상품이 하나도 없으면 409 ACTION_NOT_AVAILABLE이다.

AuthorizationBearer <token>

회원 accessToken

In: header

Path Parameters

orderId*string
key*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

input?

Response Body

application/json

curl -X POST "https://example.com/storefront/v1/me/orders/string/actions/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "orderId": "string",    "key": "string",    "results": [      {        "orderItemId": "string",        "status": "COMPLETED",        "reason": "string",        "message": "string"      }    ]  },  "error": null}